--- apps/app_followme.c.bak	2010-10-12 21:39:22.877007141 -0400
+++ apps/app_followme.c	2010-10-12 21:41:35.757005781 -0400
@@ -826,7 +826,14 @@
 				free(findme_user_list);
 				return;
 			}
-					
+				
+			/* We check if that context exists, before creating the ast_channel struct needed */
+			if ( !ast_exists_extension(caller, tpargs->context, number, 1, caller->cid.cid_num) ) {
+				ast_log(LOG_WARNING, "%s doesnt exists, no need to continue...\n", tpargs->context);
+				free(findme_user_list);
+				return;
+			}
+	
 			outbound = ast_request("Local", ast_best_codec(caller->nativeformats), dialarg, &dg);
 			if (outbound) {
 				ast_set_callerid(outbound, caller->cid.cid_num, caller->cid.cid_name, caller->cid.cid_num);
